_NOTE: Publishing configuration is not yet designed or implemented. Meanwhile, wou can use [Gradle interop](#gradle-interop) for publishing._

Publishing means preparing the resulting [package](#packaging) for external use, and actually uploading or deploying it.
Here are a few examples of publishing:
- Preparing a JVM jar or a KLIB with sources and docs and uploading them Maven Central or to another Maven repository.
- Creating a CocoaPods package and publishing it for use in Xcode projects.
- Preparing and signing an MSI, DMG, or DEB distributions

Here is a very rough approximation, how publishing could look like in Amper:

```yaml
product:
  type: lib
  platforms: [android, iosArm64, iosSimulatorArm64]

publishing:
  - type: maven
    groupId: ...
    artifactId: ...
    repository:
      url: ...
      credentials: ...

  - type: cocoapods
    name: MyCocoaPod
    version: 1.0
    summary: ...
    homepage: ...
```
